public class Menadzer extends Zaposleni 
{
	private boolean teren; 
	private final double koeficijent_menadzera = 150; 
	private final double dodatak_bonus = 1000; 
	private final double dodatak_teren = 500; 
	Menadzer(String imeRadnika,boolean teren,boolean bonus)
	{
		super(imeRadnika,bonus);
		this.teren = teren; 
	}
	double imaBonus()
	{
		if(getBonus())
			return dodatak_bonus; 
		return 0; 
	}
	double ideNaTeren(boolean teren)
	{
		if(teren)
			return dodatak_teren; 
		return 0; 
	}
	public void izracunajPlatu(int broj_sati)
	{
		super.izracunajPlatu(broj_sati);
		plata+= koeficijent_menadzera*broj_sati+imaBonus()+ideNaTeren(teren); 
	}
	public String toString()
	{
		String infBonus = "NE"; 
		if(getBonus())
			infBonus = "DA"; 
		return getIme()+":("+plata+", "+infBonus+")"; 
	}
}